aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-data-difflet
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 14:28:41 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 14:28:41 +0000
commit4823b2cf53933c05a3e909317da8e22f29daad32 (patch)
tree30389b6edd49bc60a15648901d1dbc454b1819be /community/perl-data-difflet
parent6b0e4d2d87d6212656c0f27de282a0ccfdc310cf (diff)
downloadaports-4823b2cf53933c05a3e909317da8e22f29daad32.tar.gz
aports-4823b2cf53933c05a3e909317da8e22f29daad32.tar.bz2
aports-4823b2cf53933c05a3e909317da8e22f29daad32.tar.xz
community/perl-data-difflet: moved from unmaintained
Diffstat (limited to 'community/perl-data-difflet')
-rw-r--r--community/perl-data-difflet/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-data-difflet/APKBUILD b/community/perl-data-difflet/APKBUILD
new file mode 100644
index 0000000000..b764f99e7c
--- /dev/null
+++ b/community/perl-data-difflet/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-data-difflet
+_pkgreal=Data-Difflet
+pkgver=0.11
+pkgrel=0
+pkgdesc="Perl module for Data-Difflet"
+url="http://search.cpan.org/dist/Data-Difflet/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-module-build"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+source="http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ if [ -e Build.PL ]; then
+ perl Build.PL installdirs=vendor || return 1
+ else
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ fi
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build
+}
+
+package() {
+ cd "$_builddir"
+ install -D -m0644 lib/Data/Difflet.pm "$pkgdir"/usr/share/perl5/vendor_perl/Data/Difflet.pm
+}
+
+md5sums="9620f357f3762b151d063fa289de005d Data-Difflet-0.11.tar.gz"
+sha256sums="d12b86386489829e45d72ec750b3e6922bc02816d6346102e071e61195a8a211 Data-Difflet-0.11.tar.gz"
+sha512sums="ce3402f874773a8ee697a03d6857df61c369b7176bd519b7f3288450b7252dd918f4664317b2f9ad21358fc8711f46ea8e850ecd285de11300d397749862326a Data-Difflet-0.11.tar.gz"